Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(13)

Issue 2758933002: Fix default initialization for DeviceMotionEvent.interval. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 months ago by Reilly Grant (use Gerrit)
Modified:
4 months, 4 weeks ago
Reviewers:
timvolodine
CC:
chromium-reviews, blink-reviews, mlamouri+watch-blink_chromium.org, blink-reviews-w3ctests_chromium.org, haraken
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Fix default initialization for DeviceMotionEvent.interval. The specification requires that this field be initialized to zero by default. BUG=704186 Review-Url: https://codereview.chromium.org/2758933002 Cr-Commit-Position: refs/heads/master@{#458982} Committed: https://chromium.googlesource.com/chromium/src/+/25b307908f44425f58b08445e42b1a3a7ca3ab00

Patch Set 1 #

Patch Set 2 : Update LayoutTests. #

Patch Set 3 : Fix layout test expectations. #

Total comments: 8

Patch Set 4 : Explicitly set isNull to false. #

Patch Set 5 : Rebased. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+24 lines, -40 lines) Patch
M third_party/WebKit/LayoutTests/device_orientation/motion/create-event.html View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/device_orientation/motion/create-event-expected.txt View 1 2 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/device_orientation/motion/optional-event-properties.html View 1 7 chunks +8 lines, -8 lines 0 comments Download
M third_party/WebKit/LayoutTests/device_orientation/motion/optional-event-properties-expected.txt View 1 2 7 chunks +8 lines, -8 lines 0 comments Download
D third_party/WebKit/LayoutTests/external/wpt/orientation-event/devicemotionevent-init-expected.txt View 1 chunk +0 lines, -5 lines 0 comments Download
M third_party/WebKit/Source/modules/device_orientation/DeviceMotionData.h View 1 2 3 4 3 chunks +0 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/modules/device_orientation/DeviceMotionData.cpp View 1 2 3 4 3 chunks +4 lines, -8 lines 0 comments Download
M third_party/WebKit/Source/modules/device_orientation/DeviceMotionEvent.cpp View 1 2 3 1 chunk +2 lines, -5 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 37 (23 generated)
Reilly Grant (use Gerrit)
Please take a look.
5 months ago (2017-03-17 22:12:31 UTC) #3
Reilly Grant (use Gerrit)
Update LayoutTests.
5 months ago (2017-03-18 00:18:49 UTC) #7
Reilly Grant (use Gerrit)
Fix layout test expectations.
5 months ago (2017-03-20 17:32:24 UTC) #12
timvolodine
maybe add a bug esp. if there are multiple patches? a few questions/comments below https://codereview.chromium.org/2758933002/diff/40001/third_party/WebKit/LayoutTests/external/wpt/orientation-event/devicemotionevent-init-expected.txt ...
4 months, 4 weeks ago (2017-03-22 17:05:27 UTC) #17
Reilly Grant (use Gerrit)
I've filed a bug to track these changes and added the bug number. https://codereview.chromium.org/2758933002/diff/40001/third_party/WebKit/LayoutTests/external/wpt/orientation-event/devicemotionevent-init-expected.txt File ...
4 months, 4 weeks ago (2017-03-22 17:13:33 UTC) #19
timvolodine
https://codereview.chromium.org/2758933002/diff/40001/third_party/WebKit/LayoutTests/external/wpt/orientation-event/devicemotionevent-init-expected.txt File third_party/WebKit/LayoutTests/external/wpt/orientation-event/devicemotionevent-init-expected.txt (left): https://codereview.chromium.org/2758933002/diff/40001/third_party/WebKit/LayoutTests/external/wpt/orientation-event/devicemotionevent-init-expected.txt#oldcode1 third_party/WebKit/LayoutTests/external/wpt/orientation-event/devicemotionevent-init-expected.txt:1: This is a testharness.js-based test. On 2017/03/22 17:13:33, Reilly ...
4 months, 4 weeks ago (2017-03-22 18:27:26 UTC) #20
Reilly Grant (use Gerrit)
Explicitly set isNull to false.
4 months, 4 weeks ago (2017-03-22 18:36:35 UTC) #21
Reilly Grant (use Gerrit)
https://codereview.chromium.org/2758933002/diff/40001/third_party/WebKit/LayoutTests/external/wpt/orientation-event/devicemotionevent-init-expected.txt File third_party/WebKit/LayoutTests/external/wpt/orientation-event/devicemotionevent-init-expected.txt (left): https://codereview.chromium.org/2758933002/diff/40001/third_party/WebKit/LayoutTests/external/wpt/orientation-event/devicemotionevent-init-expected.txt#oldcode1 third_party/WebKit/LayoutTests/external/wpt/orientation-event/devicemotionevent-init-expected.txt:1: This is a testharness.js-based test. On 2017/03/22 18:27:26, timvolodine ...
4 months, 4 weeks ago (2017-03-22 18:38:03 UTC) #22
timvolodine
On 2017/03/22 18:38:03, Reilly Grant wrote: > https://codereview.chromium.org/2758933002/diff/40001/third_party/WebKit/LayoutTests/external/wpt/orientation-event/devicemotionevent-init-expected.txt > File > third_party/WebKit/LayoutTests/external/wpt/orientation-event/devicemotionevent-init-expected.txt > (left): > ...
4 months, 4 weeks ago (2017-03-22 18:41:15 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2758933002/60001
4 months, 4 weeks ago (2017-03-22 19:21:23 UTC) #28
commit-bot: I haz the power
Failed to apply patch for third_party/WebKit/Source/modules/device_orientation/DeviceMotionData.cpp: While running git apply --index -p1; error: patch failed: ...
4 months, 4 weeks ago (2017-03-22 21:46:32 UTC) #30
Reilly Grant (use Gerrit)
Rebased.
4 months, 4 weeks ago (2017-03-23 00:19:34 UTC) #31
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2758933002/80001
4 months, 4 weeks ago (2017-03-23 00:22:43 UTC) #34
commit-bot: I haz the power
4 months, 4 weeks ago (2017-03-23 02:29:09 UTC) #37
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/25b307908f44425f58b08445e42b...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b